Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.9953 Spent time: 5.30 hours

Description

New function(s) to compute content of a poly w.r.t. a given indet.

In which ring does the result lie?

if poly is univariate, result will be in coeff ring

if poly is multivariate, result may be in poly ring

DECIDE!!!

May want an extended version which computes content w.r.t to several indets?

Related issues:

Related to CoCoALib - Feature #51: polynomial coefficient extraction w.r.t. v... Closed

Related to CoCoALib - Bug #154: GCD normalization (e.g. monic) In Progress 07 May 2012

History

#1 - 20 Mar 2012 15:55 - John Abbott

- % Done changed from 0 to 60

Created two fns:

content computes "content" of the coeffs, result is in CoeffRing

ContentWRT computes "content" wrt given indets, result is in original poly ring.

Must still add doc, and tests.

#2 - 27 Apr 2012 15:00 - Anna Maria Bigatti

Tests and doc are already done for CoCoA-5.

Still missing in CoCoALib

#3 - 07 May 2012 12:47 - John Abbott

- % Done changed from 60 to 90

The function ContentWRT gives result with strange scale factors sometimes.

Use ZZ/(29641)[x,y];

f := (2*x+3)*(3*y+2);

ContentWRT(f,x);

-6*y -4

 

Perhaps make the result monic?  Note (2013-05-27) the monic answer is y+9881 do we really want that?
Seems to be well behaved in QQ[x,y].

#4 - 28 Nov 2012 11:38 - Anna Maria Bigatti

- Status changed from New to Feedback

- Target version set to CoCoALib-0.9953

#5 - 27 May 2013 18:16 - John Abbott

- Status changed from Feedback to Closed

- Assignee set to John Abbott

- % Done changed from 90 to 100

The main issue has been satisfactorily resolved for a year or so.

The question about "normalization" (in post 3) is really the same as issue #154 about normalization of the result of GCD computations, so I shall

ignore it here, and regard the issue as closed now.
